# Rehana

Rehana Flutter App Engine.

## Introduction

Rehana Flutter App Engine is a flutter kit which contains ready to use components.

## Components:

This package contains different kinds of components which are divided into following groups:

- Dialogs

  - About App
  - Actions
  - Info
  - Loading

- Helpers

  - Clipboard
  - Console
  - DateTime
  - Security
  - Toast

- Models

  - App Bar Item
  - Drawer Item
  - Dropdown Item
  - Label Value

- Services

  - Dialog
  - Navigation
  - Scaffold Helper
  - Search
  - Url

- Widgets
  - Drawer Item Card
  - Dropdown Menu
  - Flexible TextField
  - Input
  - Key
  - Loading Card
  - Orientational Column Row
  - Search
  - Toast

## Demo:

To check how this package can be utilized in creating a Flutter application, checkout [Captain Password](https://github.com/rehanasolutions/CaptainPassword)
